List the current user's contracts
curl --request GET \
--url https://api.example.com/api/v1/documents/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/documents/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/documents/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contracts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service",
"status": "active",
"terms": {
"currency": "USD",
"rateType": "fixed",
"items": [
{
"name": "<string>",
"quantity": "1",
"price": "0"
}
],
"scope": "<string>",
"jobTitle": "<string>",
"paymentTerms": "<string>"
},
"amount": "<string>",
"currency": "USD",
"billing": {
"period": "once",
"activationAt": "2023-11-07T05:31:56Z",
"expirationAt": "2023-11-07T05:31:56Z",
"firstPaymentAt": "2023-12-25",
"endsOn": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"avatarUrl": "<string>",
"isBusiness": false,
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"contractor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"avatarUrl": "<string>",
"isBusiness": false,
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"label": "<string>",
"clientAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"contractorAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"schedule": {
"period": "once",
"firstPaymentAt": "2023-12-25",
"currentPeriod": 123,
"periods": [
{
"index": 123,
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"dueDate": "2023-12-25"
}
],
"endsOn": "<string>",
"totalPeriods": 123
},
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"fileName": "<string>",
"documentType": "<string>",
"downloadLink": "<string>"
}
],
"priorityMethods": [
"sepa"
],
"paymentMethods": [
{}
],
"lastInvoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "USD",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceNumber": "<string>",
"issuedDate": "2023-12-25",
"dueDate": "2023-12-25",
"paidAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}contracts
List the current user's contracts
GET
/
api
/
v1
/
documents
/
contracts
List the current user's contracts
curl --request GET \
--url https://api.example.com/api/v1/documents/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/documents/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/documents/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contracts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service",
"status": "active",
"terms": {
"currency": "USD",
"rateType": "fixed",
"items": [
{
"name": "<string>",
"quantity": "1",
"price": "0"
}
],
"scope": "<string>",
"jobTitle": "<string>",
"paymentTerms": "<string>"
},
"amount": "<string>",
"currency": "USD",
"billing": {
"period": "once",
"activationAt": "2023-11-07T05:31:56Z",
"expirationAt": "2023-11-07T05:31:56Z",
"firstPaymentAt": "2023-12-25",
"endsOn": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"avatarUrl": "<string>",
"isBusiness": false,
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"contractor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"avatarUrl": "<string>",
"isBusiness": false,
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"label": "<string>",
"clientAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"contractorAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"schedule": {
"period": "once",
"firstPaymentAt": "2023-12-25",
"currentPeriod": 123,
"periods": [
{
"index": 123,
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"dueDate": "2023-12-25"
}
],
"endsOn": "<string>",
"totalPeriods": 123
},
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"fileName": "<string>",
"documentType": "<string>",
"downloadLink": "<string>"
}
],
"priorityMethods": [
"sepa"
],
"paymentMethods": [
{}
],
"lastInvoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "USD",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceNumber": "<string>",
"issuedDate": "2023-12-25",
"dueDate": "2023-12-25",
"paidAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?